'epel-release'에 해당되는 글 2건

ARM 용 CentOS 7 을 설치했더니 epel-release 가 그냥으로는 설치가 안되는군요~

[root@localhost android]# yum install epel-release
...
No package epel-release available.
Error: Nothing to do

# yum install https://dl.fedoraproject.org/pub/epel/epel-release-latest-7.noarch.rpm
주소를 직접 입력해서 설치가 가능합니다.

File /var/cache/yum/armhfp/7/epel/metalink.xml does not exist 같은 에러가 발생할 겁니다.

삭제하고 아래 처럼 repo 를 추가합니다.

cat > /etc/yum.repos.d/epel.repo << EOF
[epel]
name=Epel rebuild for armhfp
baseurl=https://armv7.dev.centos.org/repodir/epel-pass-1/
enabled=1
gpgcheck=0
EOF

cat > /etc/yum.repos.d/php72-testing.repo << EOF
[php72-testing]
name=Remi php72 rebuild for armhfp
baseurl=https://armv7.dev.centos.org/repodir/community-php72-testing/
enabled=1
gpgcheck=0
EOF

cat > /etc/yum.repos.d/remi.repo << EOF
[remi]
name=Remi's RPM repository for Enterprise Linux 7 - $basearch
mirrorlist=http://cdn.remirepo.net/enterprise/7/remi/mirror
enabled=1
gpgcheck=1
gpgkey=https://rpms.remirepo.net/RPM-GPG-KEY-remi
EOF

epel-release 를 지원했으면 좋겠군요~

 

 

 

블로그 이미지

iVPS 영은파더♥

가상서버호스팅 VPS 리눅스 서버관리 윈도우 IT

댓글을 달아 주세요

CentOS 6.x yum install phpmyadmin 설치에러



Apache + MySQL + PHP + phpMyAdmin 을 설치하는데 아래와 같은 에러가 나면서 설치가 안되는 경우가 있네요~


[root@c69 bin]# yum install phpmyadmin

...

--> Processing Conflict: php71u-common-7.1.6-1.ius.el6.x86_64 conflicts php-common < 7.1.6-1.ius.el6

--> Finished Dependency Resolution

Error: php71u-common conflicts with php-common-5.3.3-49.el6.x86_64

 You could try using --skip-broken to work around the problem

 You could try running: rpm -Va --nofiles --nodigest


yum clean all 을 해도 안되는군요~


epel-release 문제인가 싶어서 epel-release 를 삭제 했다가 재설치 하였습니다.


# yum remove epel-release

...

=====================================================================================================

 Package                  Arch               Version                     Repository             Size

=====================================================================================================

Removing:

 epel-release             noarch             6-8                         @extras                22 k

Removing for dependencies:

 ius-release              noarch             1.0-15.ius.el6              installed             8.4 k


Transaction Summary

=====================================================================================================

Remove        2 Package(s)


# yum install epel-release

...

=====================================================================================================

 Package                     Arch                  Version               Repository             Size

=====================================================================================================

Installing:

 epel-release                noarch                6-8                   extras                 14 k


Transaction Summary

=====================================================================================================

Install       1 Package(s)


삭제할 때와 재설치 할때 설치되는 패키지가 다른걸 보니 ius-release 가 문제였던거 같네요~


이제 phpmyadmin 을 설치하니 잘 됩니다.


블로그 이미지

iVPS 영은파더♥

가상서버호스팅 VPS 리눅스 서버관리 윈도우 IT

댓글을 달아 주세요